Subject: bug#39865: 28.0.50; Emacs crash

From: Vinicius José Latorre <[email-masked]>
Date: Wed, 11 Mar 2020 17:45:44 -0300

> This we knew, the question is about how your emacs was built. Could
> you show us your value of 'system-configuration-features', that will
> tell us all we need to know about HarfBuzz etc.

system-configuration-features is a variable defined in ‘C source code’.
Its value is
"XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2 GMP"

On Wed, Mar 11, 2020 at 4:34 AM Robert Pluim <[email-masked]> wrote:

> >>>>> On Tue, 10 Mar 2020 16:03:12 -0300, Vinicius José Latorre <
> [email-masked]> said:
>
>     >> I donʼt remember seeing: was your emacs built with cairo or with
> xft?
>     >> With or without HarfBuzz? Because I canʼt get an xft+hb build to
>     >> crash when switching the font-backend to 'xft'.
>
>     Vinicius> The line below in my ~/.emacs was crashing emacs at start
> time.
>
>     Vinicius> (push '(font-backend xft x) default-frame-alist)
>
>     Vinicius> Without the line above, all works right.
>
>     Vinicius> If emacs is started with -Q and then loading ~/.emacs with
> the line above
>     Vinicius> also works right, the problem is at starting time with that
> line.
>
> This we knew, the question is about how your emacs was built. Could
> you show us your value of 'system-configuration-features', that will
> tell us all we need to know about HarfBuzz etc.
>
> Thanks
>
> Robert
>